# ava is not in fedora yet
%global enable_tests 0
%global module_name parse-json
%global gittag0 v2.2.0

Name:           nodejs-%{module_name}
Version:        2.2.0
Release:        4%{?dist}
Summary:        Parse JSON with more helpful errors

# vendor/parse.js is under WTFPL and rest code under MIT
License:        MIT and WTFPL
URL:            https://github.com/sindresorhus/parse-json
Source0:        https://github.com/sindresorhus/%{module_name}/archive/%{gittag0}.tar.gz#/%{module_name}-%{gittag0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js vendor %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 29 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.2.0-2
- Fix license tag

* Fri Sep 11 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.2.0-1
- Initial packaging

